Retrieve a Vehicle Spec
curl --request GET \
--url https://commerce.driv.ly/api/vehiclespecs/{id}import requests
url = "https://commerce.driv.ly/api/vehiclespecs/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://commerce.driv.ly/api/vehiclespecs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"model": "<string>",
"make": "<string>",
"year": 123,
"engine": "<string>",
"drivetrain": "<string>",
"bodyStyle": "<string>",
"transmission": "<string>",
"squishVin": "<string>",
"trim": "<string>",
"exteriorColors": [
"<string>"
],
"interiorColors": [
"<string>"
]
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}Vehicles
Retrieve a Vehicle Spec
GET
/
vehiclespecs
/
{id}
Retrieve a Vehicle Spec
Path Parameters
Vehicle Spec is uniquely identified by id
Query Parameters
The number of levels of related objects to include in the response
Response
Vehicle Spec Found
Show child attributes
Show child attributes
Example:
{
"id": "vs_4jf8x9jv5c0b",
"make": "Toyota",
"year": 2022,
"trim": "SE",
"model": "Camry",
"engine": "2.5L 4-cylinder",
"squishVin": "4T1BF1FK5H",
"bodyStyle": "Sedan",
"drivetrain": "FWD",
"transmission": "Automatic",
"exteriorColors": ["Black", "Silver"],
"interiorColors": ["Black", "Gray"]
}
⌘I